REM 2005 (c) Copyright IBM Corp.
REM All Rights Reserved.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 				  2005 (c) Copyright IBM Corp
:: 					All Rights Reserved
::   
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	SET	inarg=%~1
REM	SET	inarg=C:\Program Files\IBM\Rational\SDP\6.0
	@ECHO OFF
	SET	logPath="%inarg%\updater\workspace\.metadata\ifeatureUpdate.log"
	SET	backupFolder=%inarg%\FunctionalTester\eclipse\plugins\backup\rft61_ifeature\com.ibm.rational.functional.tester.siebel_1.0.0
	SET	ERR_CODE=0
	SET	result=""	
	SET proxy=updater.rft_specific.siebel.java.611_1.0.0
	SET proxyName=Siebel.java
	SET backupFolder=%inarg%\FunctionalTester\eclipse\plugins\backup\rft61_refreshpack001\%proxy%

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                               Start Install Siebel feature pack
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
CALL :StartLogging

CALL :UnInstallCustomFile rational_ft_siebel.jar
IF %ERR_CODE% == 1 GOTO :ERR_EXIT

CALL :UnInstallCustomFile rational_ft_siebel.rftcust
IF %ERR_CODE% == 1 GOTO :ERR_EXIT
	
GOTO :EXIT_SUCCESS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 					 UnInstall Custom Files
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:UnInstallCustomFile
	CALL :Log "%backupFolder%\InstallCustomFile.exe /u %1"
	"%backupFolder%\InstallCustomFile.exe" /u %1
	IF	%ERRORLEVEL% == 0 (
		SET ERR_CODE=0
	) else (
		SET ERR_CODE=1
		IF ERRORLEVEL 1  SET result=ErrorCode 1 : Invalid number of arguments for custom installer
		IF ERRORLEVEL 2  SET result=ErrorCode 2 : Custom File Not Found
		IF ERRORLEVEL 3  SET result=ErrorCode 3 : Custom Folder Not Found
		IF ERRORLEVEL 4  SET result=ErrorCode 4 : Custom Install Command Timed Out
		IF ERRORLEVEL 5  SET result=ErrorCode 5 : Command File Create failure
		IF ERRORLEVEL 6  SET result=ErrorCode 6 : Command File Create failure
	)
	GOTO :EOF

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 						 Start Logging 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:StartLogging
	CALL :Log "---------------- Start UnInstalling %proxyName% -----------------"
	Date /T	>> %logPath%
	Date /T
	Time /T	>> %logPath%
	Time /T
	CALL :Log "Current Directory:"
	cd >> %logPath%
	cd
	CALL :Log ---------------------------------------------------------------------
	GOTO :EOF


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 					Output result to log file
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:Log
	ECHO	%1 	>> %logpath%
	ECHO	%1
	GOTO :EOF

:EXIT_SUCCESS
	call	:Log "-------------------------  Install Status --------------------------- "
	CALL	:Log "%proxyName% UnInstalled successfully...."
	GOTO	:LAST

:ERR_EXIT
	call	:Log "-------------------------  Install Status --------------------------- "
	CALL	:Log "%proxyName% UnInstall Failed  with Error : %result%"

:LAST
	call	:Log "--------------------------------------------------------------------- "
